//ʸΒђ
//   java Preprocessor2 dictionary-UTF-8.txt < ϒՒ >ВϒՒ
//
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.Scanner;

public class Preprocessor2 {
	public static void main(String[] args) {
		Map<Character,Byte> dictionary = new HashMap<Character,Byte>();
		if(args.length == 0) System.exit(0);
		
		Scanner dictionarySc = null;
		String fileName = args[0];
		try {
			dictionarySc = new Scanner(new File(fileName));
		} catch (FileNotFoundException e1) {
			System.exit(0);
		}

		while(dictionarySc.hasNext()) {
			char c = dictionarySc.next().charAt(0);
			byte b = dictionarySc.nextByte();
			dictionary.put(c, b);
		}
		
		try{
			Scanner sc = new Scanner(System.in);
			ByteArrayOutputStream out = new ByteArrayOutputStream();
			long count = 0;
			while(sc.hasNextLine()){
				String str = sc.nextLine();
				for(char c : str.toCharArray()) {
					if(dictionary.containsKey(c)){
						out.write(new byte[]{dictionary.get(c)});
						count++;
					}
				}
			}
			if(count > 0)
				System.out.print(out);
		} catch (IOException e){
			
		}
	}
}
